ghc-lib-parser-9.14.1.20251220: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Iface.Recomp.Binary

Contents

- Computing fingerprints

Description

Computing fingerprints of values serializable with GHC's "Binary" module.

Synopsis

- fingerprintBinMem :: WriteBinHandle -> IO Fingerprint
- computeFingerprint :: Binary a => (WriteBinHandle -> Name -> IO ()) -> a -> Fingerprint
- putNameLiterally :: WriteBinHandle -> Name -> IO ()

# Computing fingerprints

fingerprintBinMem :: WriteBinHandle -> IO Fingerprint #

computeFingerprint :: Binary a => (WriteBinHandle -> Name -> IO ()) -> a -> Fingerprint #

putNameLiterally :: WriteBinHandle -> Name -> IO () #

Used when we want to fingerprint a structure without depending on the fingerprints of external Names that it refers to.